<div class="container bg-light mt-5 col-4">
    <h1 class="text-center">Register</h1>
    <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
    <div class="form-group">
      <label>Name</label>
      <input
        type="text"
        formControlName="name"
        class="form-control"
        [ngClass]="{ 'is-invalid': submitted && f.name.errors }"
      />
      <div *ngIf="submitted && f.title.errors" class="invalid-feedback">
        <div *ngIf="f.name.errors.required">Name is required</div>
        <div *ngIf="f.name.errors.minlength">
          name must be at least 6 characters
        </div>
      </div>
    </div>
    <div class="form-group">
        <label>Email</label>
        <input
          type="text"
          formControlName="email"
          class="form-control"
          [ngClass]="{ 'is-invalid': submitted && f.email.errors }"
        />
        <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
          <div *ngIf="f.email.errors.required">Email is required</div>
        </div>
      </div>
    <div class="form-group">
      <label> DOB</label>
      <input
        type="text"
        formControlName="dob"
        class="form-control"
        [ngClass]="{ 'is-invalid': submitted && f.dob.errors }"
      >
      <div
        *ngIf="submitted && f.dob.errors"
        class="invalid-feedback"
      >
        <div *ngIf="f.description.errors.required">
          Dob is required
        </div>
      </div>
    </div>
    <div class="form-group">
      
        <label>Mobile no</label>
        
          <input
            type="text"
            placeholder="mobile no"
            formControlName="mobile"
            class="form-control"
            [ngClass]="{ 'is-invalid': submitted && f.mobile.errors }"
          />
          <div
            *ngIf="submitted && f.mobile.errors"
            class="invalid-feedback"
          >
            <div *ngIf="f.mobile.errors.required">
              Mobile no is required
            </div>
          </div>
    </div>
        
    <button type="submit" class="btn btn-primary">Register</button>
</form>
<p class="mt-3">Already have account? <a routerLink="">Sign In</a></p>
</div>
